Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Texte aus einem eingefügtem Block lesen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Texte aus einem eingefügtem Block lesen (871 mal gelesen)
SEHER
Mitglied
Systemanalytiker


Sehen Sie sich das Profil von SEHER an!   Senden Sie eine Private Message an SEHER  Schreiben Sie einen Gästebucheintrag für SEHER

Beiträge: 1199
Registriert: 13.03.2001

erstellt am: 09. Sep. 2004 21:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,
ich möchte aus eingefügten Block (Name=Platzhalter) alle Texte und deren Einfügepunkt lesen. Dieser Block ist leider in anderen Blöcken verschachtelt. Ist dies möglich? Hat jemand schon mal mit dieser Problematik zu tun gehabt?
Für jeden Hinweis dankbar
Gruß
SEHER

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 10. Sep. 2004 00:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SEHER 10 Unities + Antwort hilfreich

Hallo Seher,

die Verschachtelung spielt keine Rolle. Sicher das es TEXT-Elemente sind? Dann musst rein in die Blockdefinition des Blockes, aus dem du die Texte ermitteln willst.

tblobjname
while
entnext
entget
cdr
assoc

sind im Groben die Befehle die du dafür brauchst.

Bei Fragen ...

Grüße Holger

------------------
Holger Brischke
(defun - Lisp over night!
AutoLISP-Programmierung für AutoCAD
Da weiß man, wann man's hat!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 10. Sep. 2004 08:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SEHER 10 Unities + Antwort hilfreich

Nochmal nachgehakt, gehts dir um die Koordianten der Texte innerhalb der Blockdefinition, oder um die transformierten Koordinaten der Texte im Koordinatensystem der Zeichnung?
Für ersteres kann ich dir folgende Zeile anbieten :
(nicht wundern, wenn Holgers Stichwörter nnicht vorkommen .. mit denen würde es auch gehen, aber halt anders  )

(defun objinfo( BLOCKNAME / BLOCK TEXTLISTE ) 
  (vl-load-com) 
  (if(setq BLOCK(vla-item
                  (vla-get-blocks
                    (vla-get-activedocument
                      (vlax-get-acad-object)
                    )
                  )
                  BLOCKNAME
                )
     )     
    (vlax-for ITEM BLOCK     
      (if(=(strcase(vla-get-objectname  ITEM))(strcase "AcDbText"))
        (progn
          (setq TEXTLISTE(cons
                           (cons (vla-get-TextString ITEM)
                                 (vlax-safearray->list
                                   (vlax-variant-value
                                     (vla-get-InsertionPoint ITEM)
                                   )
                                 ) 
                           )     
                           TEXTLISTE
                         )      
          )      
        )
      )           
    )
  )
  TEXTLISTE 
)

Aufruf mit (objinfo "BLOCKNAME")

das vorgehen im zweiten Fall kann man aus dem Tool ableiten. Stichwort Attributupdate.

------------------
  - Thomas -

[Diese Nachricht wurde von CADmium am 10. Sep. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SEHER
Mitglied
Systemanalytiker


Sehen Sie sich das Profil von SEHER an!   Senden Sie eine Private Message an SEHER  Schreiben Sie einen Gästebucheintrag für SEHER

Beiträge: 1199
Registriert: 13.03.2001

erstellt am: 10. Sep. 2004 08:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,
erstmal Superlob und natürlich U's für die schnellen Antworten.
Es gehts mir um die Koordianten der Texte innerhalb der Blockdefinition, ich möchte diese Attributen zuweisen.
Ziel ist es die Texte zu lesen, über den Einfügepunkt zu identifizieren, anschließend einen neuen Block einfügen und diesem Block die herausgelesenen Texte als Attributwerte zuordnen.
Ich werd's am Wochenende testen und berichten.
Gruß
Seher

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 10. Sep. 2004 09:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für SEHER 10 Unities + Antwort hilfreich

Hallo Seher,

da hast du dir aber etwas vorgenommen.

Ich selbst habe mal ein Tool geschrieben, was aus einer Sammlung von Texten innerhalb eines Polygons in Verbindung mir dieser Polylinie einen Block macht. Dabei gings um das Aufbereiten von Plänen aufgemessener Gebäude, zur Übernahme in ein FM-System, welches diese Struktur vorgeschrieben hatte.
Folgend das entsprechende Dialogfenster, in dem die Einstellungen für die Attribute vorgenommen werden.
Bei dir klingt mir das ähnlich, wenn du also Fragen hast ... melden.

Grüße Holger

------------------
Holger Brischke
(defun - Lisp over night!
AutoLISP-Programmierung für AutoCAD
Da weiß man, wann man's hat!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

SEHER
Mitglied
Systemanalytiker


Sehen Sie sich das Profil von SEHER an!   Senden Sie eine Private Message an SEHER  Schreiben Sie einen Gästebucheintrag für SEHER

Beiträge: 1199
Registriert: 13.03.2001

erstellt am: 10. Sep. 2004 09:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Holger,
ich muß erstmal abchecken, ob die Texteinfügepunkte immer gleich sind bzw. bestimmten Regelmaessigkeiten folgen. Dann werd ich mich auf jeden Fall mal melden.
Gruß
Seher

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz